Bug 1567939 - missing module for eric
Summary: missing module for eric
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qscintilla
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 13:14 UTC by Philippe Makowski
Modified: 2018-05-03 12:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 12:48:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe Makowski 2018-04-16 13:14:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):
eric-17.05-2.fc27.noarch

Steps to Reproduce:
dnf install eric

Launch eric :

Actual results:

eric6
Error in sys.excepthook:
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/lib/python3.6/site-packages/eric6/Utilities/__init__.py", line 62, in <module>
    from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla
ModuleNotFoundError: No module named 'PyQt5.Qsci'

Comment 1 Rex Dieter 2018-04-16 14:49:58 UTC
Can you please post the output of:

rpm -q python3-qt5 python3-qscintilla-qt5

These are direct dependencies that should provide the module in question.

Comment 2 Philippe Makowski 2018-04-18 11:10:13 UTC
LC_ALL=C rpm -q python3-qt5 python3-qscintilla-qt5 eric
python3-qt5-5.9.1-2.fc27.x86_64
python3-qscintilla-qt5-2.10.1-3.fc27.x86_64
eric-17.05-2.fc27.noarch

eric6
Error in sys.excepthook:
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/lib/python3.6/site-packages/eric6/Utilities/__init__.py", line 62, in <module>
    from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla
ModuleNotFoundError: No module named 'PyQt5.Qsci'

Comment 3 Rex Dieter 2018-04-18 12:13:52 UTC
OK, something is wrong with your python3-qscintilla-qt5 , it should provide the module that is failing to load.


Can you run these commands to verify the installation?

rpm -V python3-qscintilla-qt5

python3 -c 'from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla'

rpm -ql python3-qscintilla-qt5 | grep Qsci
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.pyi
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.so


For me, it outputs (essentially nothing):

# rpm -V python3-qscintilla-qt5
# python3 -c 'from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla'
# rpm -ql python3-qscintilla-qt5 | grep Qsci
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.pyi
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.so


Otherwise, my only other idea would be to try:

dnf reinstall python3-qscintilla-qt5

Comment 4 Philippe Makowski 2018-04-26 11:30:50 UTC
Strange :
# rpm -V python3-qscintilla-qt5
# python3 -c 'from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'PyQt5.Qsci'
# rpm -ql python3-qscintilla-qt5 | grep Qsci
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.pyi
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.so

and after :
# dnf reinstall python3-qscintilla-qt5

same result :

# rpm -V python3-qscintilla-qt5
# python3 -c 'from PyQt5.Qsci import QSCINTILLA_VERSION_STR, QsciScintilla'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'PyQt5.Qsci'
# rpm -ql python3-qscintilla-qt5 | grep Qsci
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.pyi
/usr/lib64/python3.6/site-packages/PyQt5/Qsci.so

Comment 5 Rex Dieter 2018-04-26 11:45:55 UTC
So, ultimately, it's a problem of the Qsci python module not loading properly (despite being present).

I've no idea why though :(

Comment 6 Philippe Makowski 2018-05-03 12:48:29 UTC
My bad,
I add a wrong version in my local site-packages


Note You need to log in before you can comment on or make changes to this bug.